curl --request PATCH \
--url https://openrouter.ai/api/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Workspace",
"slug": "updated-workspace"
}
'import requests
url = "https://openrouter.ai/api/v1/workspaces/{id}"
payload = {
"name": "Updated Workspace",
"slug": "updated-workspace"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Workspace', slug: 'updated-workspace'})
};
fetch('https://openrouter.ai/api/v1/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "2025-08-24T10:30:00Z",
"created_by": "user_abc123",
"default_guardrail_id": "595d5849-7e86-51fd-a7c0-705c34e4afff",
"default_image_model": "openai/dall-e-3",
"default_provider_sort": "price",
"default_text_model": "openai/gpt-4o",
"description": "Production environment workspace",
"id": "550e8400-e29b-41d4-a716-446655440000",
"include_byok_in_budgets": false,
"io_logging_api_key_ids": null,
"io_logging_sampling_rate": 1,
"is_data_discount_logging_enabled": true,
"is_observability_broadcast_enabled": false,
"is_observability_io_logging_enabled": false,
"name": "Updated Workspace",
"slug": "updated-workspace",
"updated_at": "2025-08-25T10:00:00Z"
}
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Update a workspace
Update an existing workspace by ID or slug. Management key required.
Authorizations
API key as bearer token in Authorization header
Path Parameters
The workspace ID (UUID) or slug
1"production"
Body
Default image model for this workspace
"openai/dall-e-3"
Default provider sort preference (price, throughput, latency, exacto)
"price"
Default text model for this workspace
"openai/gpt-4o"
New description for the workspace
500"Updated description"
Optional array of API key IDs to filter I/O logging
null
Sampling rate for I/O logging (0.0001-1)
1
Whether data discount logging is enabled
true
Whether broadcast is enabled
false
Whether private logging is enabled
false
New name for the workspace
1 - 100"Updated Workspace"
New URL-friendly slug (lowercase alphanumeric segments separated by single hyphens, no leading/trailing hyphens)
1 - 50^[a-z0-9]+(?:-[a-z0-9]+)*$"updated-workspace"
Response
Workspace updated successfully
The updated workspace
Show child attributes
Show child attributes
{
"created_at": "2025-08-24T10:30:00Z",
"created_by": "user_abc123",
"default_guardrail_id": "595d5849-7e86-51fd-a7c0-705c34e4afff",
"default_image_model": "openai/dall-e-3",
"default_provider_sort": "price",
"default_text_model": "openai/gpt-4o",
"description": "Production environment workspace",
"id": "550e8400-e29b-41d4-a716-446655440000",
"include_byok_in_budgets": false,
"io_logging_api_key_ids": null,
"io_logging_sampling_rate": 1,
"is_data_discount_logging_enabled": true,
"is_observability_broadcast_enabled": false,
"is_observability_io_logging_enabled": false,
"name": "Production",
"slug": "production",
"updated_at": "2025-08-24T15:45:00Z"
}